package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFReminder;
import com.sa.ibiz.demo.demo.service.dto.WFReminderSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFReminder] 服务对象接口
 */
public interface WFReminderService extends IService<WFReminder>{

	boolean remove(WFReminder et);
	boolean update(WFReminder et);
	boolean getDraft(WFReminder et);
		WFReminder get(WFReminder et);
	boolean create(WFReminder et);
	boolean checkKey(WFReminder et);
    List<WFReminder> listDefault(WFReminderSearchFilter filter) ;
	Page<WFReminder> searchDefault(WFReminderSearchFilter filter);
	/**	 实体[WFReminder] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }